SET SQL DIALECT 3;

/* CREATE DATABASE 'e:\db\ib\gama-new.gdb' PAGE_SIZE 4096

 DEFAULT CHARACTER SET  */

/* Table: aformdata, Owner: GAMA */

CREATE TABLE "aformdata" 
(
  "ID"	INTEGER NOT NULL,
  "Data"	DATE NOT NULL,
  "MID"	INTEGER,
  "Pastabos"	VARCHAR(100),
CONSTRAINT "aformdata_PI" PRIMARY KEY ("ID", "Data")
);

/* Table: aformreik, Owner: GAMA */

CREATE TABLE "aformreik" 
(
  "ID"	INTEGER NOT NULL,
  "MID"	INTEGER NOT NULL,
  "Nr"	DOUBLE PRECISION NOT NULL,
  "Tekstas"	VARCHAR(50),
CONSTRAINT "aformreik_PI" PRIMARY KEY ("ID", "MID", "Nr")
);

/* Table: aformules, Owner: GAMA */

CREATE TABLE "aformules" 
(
  "ID"	INTEGER NOT NULL,
  "Kodas"	VARCHAR(10),
  "Pavadinimas"	VARCHAR(100),
CONSTRAINT "aformules_PI" PRIMARY KEY ("ID")
);


/* Table: avanap, Owner: GAMA */

CREATE TABLE "avanap" 
(
  "ID"	INTEGER NOT NULL,
  "DarbID"	INTEGER,
  "OpData"	DATE,
  "DokID"	INTEGER,
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Paskirtis"	VARCHAR(50),
  "KvNr"	VARCHAR(20),
  "FirmosID"	INTEGER,
  "ValDebetas"	DECIMAL(12, 2),
  "ValKreditas"	DECIMAL(12, 2),
CONSTRAINT "avanap_PI" PRIMARY KEY ("ID")
);

/* Table: bankai, Owner: GAMA */

CREATE TABLE "bankai" 
(
  "ID"	INTEGER NOT NULL,
  "Kodas"	CHAR(10),
  "Pavadinimas"	VARCHAR(50),
  "Adresas"	VARCHAR(50),
  "SWIFT"	VARCHAR(20),
CONSTRAINT "bankai_PI" PRIMARY KEY ("ID")
);

/* Table: bankoper, Owner: GAMA */

CREATE TABLE "bankoper" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "Bankas"	INTEGER,
  "Suma"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Paskirtis"	VARCHAR(250),
  "ASNr"	VARCHAR(50),
CONSTRAINT "bankoper_PI" PRIMARY KEY ("ID")
);

/* Table: cfgpar, Owner: GAMA */

CREATE TABLE "cfgpar" 
(
  "ParName"	VARCHAR(20) NOT NULL,
  "ParValue"	VARCHAR(100),
CONSTRAINT "cfgpar_PI" PRIMARY KEY ("ParName")
);

/* Table: darb_grupes, Owner: GAMA */

CREATE TABLE "darb_grupes" 
(
  "GrupesNr"	VARCHAR(20) NOT NULL,
  "ID"	INTEGER,
  "Pavadinimas"	VARCHAR(50),
  "VyresneGrupe"	VARCHAR(20),
  "Lygis"	SMALLINT,
CONSTRAINT "darb_grupes_PI" PRIMARY KEY ("GrupesNr")
);

/* Table: darbuotojai, Owner: GAMA */

CREATE TABLE "darbuotojai" 
(
  "ID"	INTEGER NOT NULL,
  "GrupesID"	INTEGER,
  "AsmensKodas"	VARCHAR(11),
  "Pavarde"	VARCHAR(50),
  "Pareigos"	VARCHAR(30),
  "Slaptas"	VARCHAR(10),
  "Login"	VARCHAR(10),
  "Dirba"	CHAR(1),
CONSTRAINT "darbuotojai_PI" PRIMARY KEY ("ID")
);

/* Table: firmos, Owner: GAMA */

CREATE TABLE "firmos" 
(
  "ID"	INTEGER NOT NULL,
  "GrupesID"	INTEGER,
  "Kodas"	VARCHAR(10),
  "Pavadinimas"	VARCHAR(120),
  "Adresas"	VARCHAR(50),
  "Telefonas_faksas"	VARCHAR(30),
  "Bankas"	INTEGER,
  "MokDiena"	INTEGER,
  "Kategorija"	CHAR(1),
  "ASNr"	VARCHAR(50),
  "IKodas"	VARCHAR(20),
  "PVMKodas"	VARCHAR(20),
  "KredLim"	DECIMAL(12, 2),
CONSTRAINT "firmos_PI" PRIMARY KEY ("ID")
);

/* Table: firmu_grupes, Owner: GAMA */

CREATE TABLE "firmu_grupes" 
(
  "GrupesNr"	VARCHAR(20) NOT NULL,
  "ID"	INTEGER,
  "Pavadinimas"	VARCHAR(50),
  "VyresneGrupe"	VARCHAR(20),
  "Lygis"	SMALLINT,
CONSTRAINT "firmu_grupes_PI" PRIMARY KEY ("GrupesNr")
);

/* Table: firmubankai, Owner: GAMA */

CREATE TABLE "firmubankai" 
(
  "FirmosID"	INTEGER NOT NULL,
  "Bankas"	INTEGER NOT NULL,
  "FirmosASNr"	VARCHAR(50) NOT NULL,
  "KorID"	INTEGER,
  "KorASNr"	VARCHAR(50),
CONSTRAINT "firmu_bankai_PI" PRIMARY KEY ("FirmosID", "Bankas", "FirmosASNr")
);

/* Table: gaupav, Owner: GAMA */

CREATE TABLE "gaupav" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	VARCHAR(10),
  "OpData"	DATE,
  "MokID"	INTEGER,
  "Suma"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Paskirtis"	VARCHAR(50),
  "Bankas"	INTEGER,
  "ASNr"	VARCHAR(50),
CONSTRAINT "gaupav_PI" PRIMARY KEY ("ID")
);

/* Table: grinest, Owner: GAMA */

CREATE TABLE "grinest" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "Bankas"	INTEGER,
  "Suma"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "FirmosID"	INTEGER,
  "DarbID"	INTEGER,
  "Paskirtis"	VARCHAR(250),
  "ASNr"	VARCHAR(50),
CONSTRAINT "grinest_PI" PRIMARY KEY ("ID")
);

/* Table: grisimt, Owner: GAMA */

CREATE TABLE "grisimt" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "Bankas"	INTEGER,
  "Suma"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "FirmosID"	INTEGER,
  "DarbID"	INTEGER,
  "Paskirtis"	VARCHAR(250),
  "ASNr"	VARCHAR(50),
CONSTRAINT "grisimt_PI" PRIMARY KEY ("ID")
);

/* Table: islord, Owner: GAMA */

CREATE TABLE "islord" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "Suma"	DECIMAL(12, 2),
  "Pagrindas"	VARCHAR(50),
  "Priedelis"	VARCHAR(50),
  "Kasa"	INTEGER,
  "Valiuta"	CHAR(3),
  "ValSuma"	DECIMAL(12, 2),
  "Buhalteris"	INTEGER,
  "Kasininkas"	INTEGER,
  "FirmosID"	INTEGER,
  "Asmuo"	VARCHAR(50),
  "DarbID"	INTEGER,
CONSTRAINT "islord_PI" PRIMARY KEY ("ID")
);

/* Table: kasaoper, Owner: GAMA */

CREATE TABLE "kasaoper" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "KasosID"	INTEGER,
  "Suma"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Paskirtis"	VARCHAR(250),
CONSTRAINT "kasaoper_PI" PRIMARY KEY ("ID")
);

/* Table: kasos, Owner: GAMA */

CREATE TABLE "kasos" 
(
  "ID"	INTEGER NOT NULL,
  "Kodas"	VARCHAR(10),
  "Kasininkas"	INTEGER,
  "Pastabos"	VARCHAR(50),
CONSTRAINT "kasos_PI" PRIMARY KEY ("ID")
);

/* Table: kasos_inv, Owner: GAMA */

CREATE TABLE "kasos_inv" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "Atsakingas"	INTEGER,
  "Tipas"	CHAR(1),
CONSTRAINT "ksinv_PI" PRIMARY KEY ("ID")
);

/* Table: kasos_inv_irasai, Owner: GAMA */

CREATE TABLE "kasos_inv_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "KasosID"	INTEGER,
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "ValData"	DATE,
  "Komentaras"	VARCHAR(50),
  "LikDebetas"	DECIMAL(12, 2),
  "LikKreditas"	DECIMAL(12, 2),
CONSTRAINT "ksinvirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: kasos_lik, Owner: GAMA */

CREATE TABLE "kasos_lik" 
(
  "ID"	INTEGER NOT NULL,
  "Data"	DATE,
  "KasosID"	INTEGER,
  "DokTipas"	INTEGER,
  "DokID"	INTEGER,
  "DokPozNr"	INTEGER,
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "ValDebetas"	DECIMAL(12, 2),
  "ValKreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "ValData"	DATE,
CONSTRAINT "kslik_PI" PRIMARY KEY ("ID")
);

/* Table: mokkodai, Owner: GAMA */

CREATE TABLE "mokkodai" 
(
  "GrupesNr"	VARCHAR(20) NOT NULL,
  "VyresneGrupe"	VARCHAR(20),
  "Sumine"	CHAR(1),
  "Lygis"	INTEGER,
  "Pavadinimas"	VARCHAR(250),
  "Mok0"	CHAR(5),
  "Mok1"	CHAR(5),
  "Mok2"	CHAR(5),
  "Mok3"	CHAR(5),
  "Mok4"	CHAR(5),
  "Mok5"	CHAR(5),
  "Mok6"	CHAR(5),
  "Mok7"	CHAR(5),
  "Mok8"	CHAR(5),
CONSTRAINT "mokkodai_PI" PRIMARY KEY ("GrupesNr")
);

/* Table: mokpav, Owner: GAMA */

CREATE TABLE "mokpav" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "MokBankas"	INTEGER,
  "GavID"	INTEGER,
  "GavBankas"	INTEGER,
  "Suma"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Paskirtis"	VARCHAR(250),
  "MokASNr"	VARCHAR(50),
  "GavASNr"	VARCHAR(50),
  "Atlikta"	CHAR(1),
  "Suma2"	DECIMAL(12, 2),
  "Valiuta2"	CHAR(3),
  "MokPaskKodas"	CHAR(5),
CONSTRAINT "mokpav_PI" PRIMARY KEY ("ID")
);

/* Table: pajord, Owner: GAMA */

CREATE TABLE "pajord" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "Asmuo"	VARCHAR(50),
  "Pagrindas"	VARCHAR(50),
  "Suma"	DECIMAL(12, 2),
  "Priedelis"	VARCHAR(50),
  "Buhalteris"	INTEGER,
  "Kasininkas"	INTEGER,
  "Nr"	VARCHAR(15),
  "Kasa"	INTEGER,
  "Valiuta"	CHAR(3),
  "ValSuma"	DECIMAL(12, 2),
  "DarbID"	INTEGER,
  "FirmosID"	INTEGER,
CONSTRAINT "pajord_PI" PRIMARY KEY ("ID")
);

/* Table: report, Owner: GAMA */

CREATE TABLE "report" 
(
  "ID"	INTEGER NOT NULL,
  "Report"	BLOB SUB_TYPE 0 SEGMENT SIZE 80,
CONSTRAINT "report_PI" PRIMARY KEY ("ID")
);

/* Table: saskaitos, Owner: GAMA */

CREATE TABLE "saskaitos" 
(
  "Bankas"	INTEGER NOT NULL,
  "ASNr"	VARCHAR(50) NOT NULL,
  "Valiuta"	CHAR(3) NOT NULL,
  "KorID"	INTEGER,
  "KorASNr"	VARCHAR(50),
  "Pastaba"	VARCHAR(20),
CONSTRAINT "saskaitos_PI" PRIMARY KEY ("Bankas", "ASNr", "Valiuta")
);

/* Table: saskaitos_inv, Owner: GAMA */

CREATE TABLE "saskaitos_inv" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "Atsakingas"	INTEGER,
  "Tipas"	CHAR(1),
CONSTRAINT "ssinv_PI" PRIMARY KEY ("ID")
);

/* Table: saskaitos_inv_irasai, Owner: GAMA */

CREATE TABLE "saskaitos_inv_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "Bankas"	INTEGER,
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "ValData"	DATE,
  "Komentaras"	VARCHAR(50),
  "LikDebetas"	DECIMAL(12, 2),
  "LikKreditas"	DECIMAL(12, 2),
  "ASNr"	VARCHAR(50),
CONSTRAINT "ssinvirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: saskaitos_lik, Owner: GAMA */

CREATE TABLE "saskaitos_lik" 
(
  "ID"	INTEGER NOT NULL,
  "Data"	DATE,
  "Bankas"	INTEGER,
  "DokTipas"	INTEGER,
  "DokID"	INTEGER,
  "DokPozNr"	INTEGER,
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "ValDebetas"	DECIMAL(12, 2),
  "ValKreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "ValData"	DATE,
  "ASNr"	VARCHAR(50),
CONSTRAINT "sslik_PI" PRIMARY KEY ("ID")
);

/* Table: sauga, Owner: GAMA */

CREATE TABLE "sauga" 
(
  "GrupesID"	INTEGER NOT NULL,
  "DarbuotojoID"	INTEGER NOT NULL,
  "FormosID"	INTEGER NOT NULL,
  "Privilegijos"	VARCHAR(50),
CONSTRAINT "sauga_PI" PRIMARY KEY ("GrupesID", "DarbuotojoID", "FormosID")
);

/* Table: skokor, Owner: GAMA */

CREATE TABLE "skokor" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "FirmosID"	INTEGER,
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Komentaras"	VARCHAR(50),
CONSTRAINT "skokor_PI" PRIMARY KEY ("ID")
);

/* Table: skolos, Owner: GAMA */

CREATE TABLE "skolos" 
(
  "ID"	INTEGER NOT NULL,
  "Data"	DATE,
  "FirmosID"	INTEGER,
  "DokTipas"	INTEGER,
  "DokID"	INTEGER,
  "DokPozNr"	INTEGER,
  "IT"	CHAR(1),
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "ValDebetas"	DECIMAL(12, 2),
  "ValKreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "ValData"	DATE,
  "SkData"	DATE,
CONSTRAINT "skolos_PI" PRIMARY KEY ("ID")
);

/* Table: skolu_inv, Owner: GAMA */

CREATE TABLE "skolu_inv" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "Atsakingas"	INTEGER,
  "Tipas"	CHAR(1),
CONSTRAINT "skinv_PI" PRIMARY KEY ("ID")
);

/* Table: skolu_inv_irasai, Owner: GAMA */

CREATE TABLE "skolu_inv_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "FirmosID"	INTEGER,
  "Debetas"	DECIMAL(12, 2),
  "Kreditas"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "ValData"	DATE,
  "Komentaras"	VARCHAR(50),
  "LikDebetas"	DECIMAL(12, 2),
  "LikKreditas"	DECIMAL(12, 2),
CONSTRAINT "skinvirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: tarpav, Owner: GAMA */

CREATE TABLE "tarpav" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER,
  "OpData"	DATE,
  "MokBankas"	INTEGER,
  "GavID"	INTEGER,
  "GavBankas"	INTEGER,
  "Suma"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Paskirtis"	VARCHAR(250),
  "MokASNr"	VARCHAR(50),
  "GavASNr"	VARCHAR(50),
  "Atlikta"	CHAR(1),
CONSTRAINT "tarpav_PI" PRIMARY KEY ("ID")
);

/* Table: transportas, Owner: GAMA */

CREATE TABLE "transportas" 
(
  "Valst_nr"	CHAR(6) NOT NULL,
  "Marke"	VARCHAR(20),
CONSTRAINT "transportas_PI" PRIMARY KEY ("Valst_nr")
);

/* Table: valiutos, Owner: GAMA */

CREATE TABLE "valiutos" 
(
  "Kodas"	CHAR(3) NOT NULL,
  "Pastovumas"	CHAR(1),
  "Dalis"	VARCHAR(10),
  "LB"	INTEGER,
  "Pavadinimas"	VARCHAR(50),
CONSTRAINT "valiutos_PI" PRIMARY KEY ("Kodas")
);

/* Table: valiutu_kursai, Owner: GAMA */

CREATE TABLE "valiutu_kursai" 
(
  "Valiuta"	CHAR(3) NOT NULL,
  "Diena"	DATE NOT NULL,
  "Daugiklis"	INTEGER,
  "DienaIki"	DATE,
  "Baze"	INTEGER,
  "BazValiuta"	CHAR(3),
  "Kursas"	DOUBLE PRECISION,
CONSTRAINT "valiutu_kursai_PI" PRIMARY KEY ("Valiuta", "Diena")
);

/* Table: zurnalai, Owner: GAMA */

CREATE TABLE "zurnalai" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "DokTipas"	INTEGER,
  "Patvirtinta"	CHAR(1),
  "Turinys"	VARCHAR(100),
CONSTRAINT "zurnalai_PI" PRIMARY KEY ("ID")
);

/*  Index definitions for all user tables */

CREATE INDEX "avanap_SI_OpData" ON "avanap"("DarbID", "OpData");
CREATE INDEX "bank_SI_Kodas" ON "bankai"("Kodas");
CREATE INDEX "bank_SI_Pavadinimas" ON "bankai"("Pavadinimas");
CREATE INDEX "bankoper_SI_OpData" ON "bankoper"("OpData", "Nr");
CREATE INDEX "darb_SI_AsmensKodas" ON "darbuotojai"("AsmensKodas");
CREATE INDEX "darb_SI_GID_AsmensKodas" ON "darbuotojai"("GrupesID", "AsmensKodas");
CREATE INDEX "darb_SI_GID_Pavarde" ON "darbuotojai"("GrupesID", "Pavarde");
CREATE INDEX "darb_SI_Login" ON "darbuotojai"("Login");
CREATE INDEX "darb_SI_Pavarde" ON "darbuotojai"("Pavarde");
CREATE INDEX "firmos_SI_GID_IKodas" ON "firmos"("GrupesID", "IKodas");
CREATE INDEX "firmos_SI_GID_Kodas" ON "firmos"("GrupesID", "Kodas");
CREATE INDEX "firmos_SI_GID_Pavadinimas" ON "firmos"("GrupesID", "Pavadinimas");
CREATE INDEX "firmos_SI_IKodas" ON "firmos"("IKodas");
CREATE INDEX "firmos_SI_Kodas" ON "firmos"("Kodas");
CREATE INDEX "firmos_SI_Pavadinimas" ON "firmos"("Pavadinimas");
CREATE UNIQUE INDEX "firmu_grupes_SI_ID" ON "firmu_grupes"("ID");
CREATE INDEX "gaupav_SI_MokID_OpData" ON "gaupav"("MokID", "OpData");
CREATE INDEX "gaupav_SI_OpData_MokID" ON "gaupav"("OpData", "MokID");
CREATE INDEX "grinest_SI_OpData" ON "grinest"("OpData", "Nr");
CREATE INDEX "grisimt_SI_OpData" ON "grisimt"("OpData", "Nr");
CREATE INDEX "islord_SI_Darb_OpData" ON "islord"("DarbID", "OpData");
CREATE INDEX "islord_SI_Firm_OpData" ON "islord"("FirmosID", "OpData");
CREATE INDEX "islord_SI_OpData" ON "islord"("OpData", "DarbID", "FirmosID");
CREATE INDEX "kasaoper_SI_OpData" ON "kasaoper"("OpData", "Nr");
CREATE INDEX "kasos_SI_Kodas" ON "kasos"("Kodas");
CREATE INDEX "ksinv_SI_opData" ON "kasos_inv"("OpData");
CREATE INDEX "ksinvirasai_SI_KasosID" ON "kasos_inv_irasai"("KasosID");
CREATE INDEX "kslik_SI_Data" ON "kasos_lik"("Data");
CREATE UNIQUE INDEX "kslik_SI_DokID" ON "kasos_lik"("DokID", "DokPozNr");
CREATE INDEX "kslik_SI_Kasa_Data" ON "kasos_lik"("KasosID", "Data");
CREATE INDEX "mokpav_SI_GavID_OpData" ON "mokpav"("GavID", "OpData");
CREATE INDEX "mokpav_SI_OpData_GavID" ON "mokpav"("OpData", "GavID");
CREATE INDEX "pajord_SI_Darb_OpData" ON "pajord"("DarbID", "OpData");
CREATE INDEX "pajord_SI_Firm_OpData" ON "pajord"("FirmosID", "OpData");
CREATE INDEX "pajord_SI_OpData" ON "pajord"("OpData", "DarbID", "FirmosID");
CREATE INDEX "ssinv_SI_opData" ON "saskaitos_inv"("OpData");
CREATE INDEX "ssinvirasai_SI_Bankas" ON "saskaitos_inv_irasai"("Bankas", "ASNr");
CREATE INDEX "sslik_SI_Bankas_Data" ON "saskaitos_lik"("Bankas", "ASNr", "Data");
CREATE INDEX "sslik_SI_Data" ON "saskaitos_lik"("Data");
CREATE UNIQUE INDEX "sslik_SI_DokID" ON "saskaitos_lik"("DokID", "DokPozNr");
CREATE INDEX "sauga_SI_FID_GID_DID" ON "sauga"("FormosID", "GrupesID", "DarbuotojoID");
CREATE INDEX "skinvirasai_SI_FirmosID" ON "skolu_inv_irasai"("FirmosID");
CREATE INDEX "tarpav_SI_GavID_OpData" ON "tarpav"("GavID", "OpData");
CREATE INDEX "tarpav_SI_OpData_GavID" ON "tarpav"("OpData", "GavID");
CREATE INDEX "zurnalai_SI_OpData" ON "zurnalai"("OpData", "DokTipas");


/* Grant Roles for this database */


/* Grant permissions for this database */

