SET SQL DIALECT 3;

/* CREATE DATABASE 'e:\db\ib\gama-new.gdb' PAGE_SIZE 4096

 DEFAULT CHARACTER SET  */

/* Table: atidavimai, Owner: GAMA */

CREATE TABLE "atidavimai" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "Nr"	VARCHAR(20),
  "Tiekejas"	INTEGER,
  "Atsakingas"	INTEGER,
CONSTRAINT "atidavimai_PI" PRIMARY KEY ("ID")
);

/* Table: atidavimu_irasai, Owner: GAMA */

CREATE TABLE "atidavimu_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	SMALLINT NOT NULL,
  "DokID"	INTEGER,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Kaina"	DECIMAL(12, 2),
  "Savikaina"	DECIMAL(12, 2),
  "Sandelys"	INTEGER,
  "Valiuta"	CHAR(3),
  "PVM"	DOUBLE PRECISION,
  "SerNr"	VARCHAR(20),
CONSTRAINT "atirasai_PI" PRIMARY KEY ("ID", "Nr")
);


/* Table: inventorizacija, Owner: GAMA */

CREATE TABLE "inventorizacija" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "Nr"	VARCHAR(20),
  "Atliko"	INTEGER,
  "Sandelys"	INTEGER,
CONSTRAINT "inventorizacija_PI" PRIMARY KEY ("ID")
);

/* Table: inventorizacijos_irasai, Owner: GAMA */

CREATE TABLE "inventorizacijos_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	DOUBLE PRECISION NOT NULL,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Kaina"	DECIMAL(12, 2),
  "Likutis"	DOUBLE PRECISION,
  "ValKaina"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "Komentaras"	VARCHAR(50),
  "SerNr"	VARCHAR(20),
  "Info1"	VARCHAR(100),
CONSTRAINT "invirasai_PI" PRIMARY KEY ("ID", "Nr")
);


/* Table: pardavimai, Owner: GAMA */

CREATE TABLE "pardavimai" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "OpLaikas"	CHAR(5),
  "Nr"	VARCHAR(20),
  "Bankas"	INTEGER,
  "Klientas"	INTEGER,
  "Moketojas"	INTEGER,
  "Atsakingas"	INTEGER,
  "Pr_isdave"	INTEGER,
  "Vairuotojas"	INTEGER,
  "Tr_paeme"	INTEGER,
  "Transportas"	VARCHAR(6),
  "Sandelys"	INTEGER,
  "Valiuta"	CHAR(3),
  "Pagal"	VARCHAR(100),
  "Suma"	DECIMAL(12, 2),
  "PVMSuma"	DECIMAL(12, 2),
  "Eksportas"	CHAR(1),
  "Faktura"	CHAR(1),
  "MID"	INTEGER,
  "MokDiena"	INTEGER,
  "PVMMok"	CHAR(1),
  "EKA"	VARCHAR(200),
  "ASNr"	VARCHAR(50),
  "Nuolaida"	DOUBLE PRECISION,
  "Savikaina"	DECIMAL(12, 2),
CONSTRAINT "pardavimai_PI" PRIMARY KEY ("ID")
);

/* Table: pardavimu_irasai, Owner: GAMA */

CREATE TABLE "pardavimu_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Kaina"	DECIMAL(12, 2),
  "Sandelys"	INTEGER,
  "MID"	INTEGER,
  "Nuolaida"	DOUBLE PRECISION,
  "Savikaina"	DECIMAL(12, 2),
  "VisoSavikaina"	DECIMAL(12, 2),
CONSTRAINT "pdirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: pardavimu_komp_irasai, Owner: GAMA */

CREATE TABLE "pardavimu_komp_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "MID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Savikaina"	DECIMAL(12, 2),
CONSTRAINT "pardkirasai_PI" PRIMARY KEY ("ID", "MID", "Nr")
);

/* Table: pardavimu_ser_irasai, Owner: GAMA */

CREATE TABLE "pardavimu_ser_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "SerNr"	VARCHAR(20),
  "Kiekis"	DOUBLE PRECISION,
  "Sandelys"	INTEGER,
CONSTRAINT "pardsirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: pervezimai, Owner: GAMA */

CREATE TABLE "pervezimai" 
(
  "ID"	INTEGER NOT NULL,
  "Atsakingas"	INTEGER,
  "Vairuotojas"	INTEGER,
  "Tr_paeme"	INTEGER,
  "Transportas"	VARCHAR(6),
  "Pr_isdave"	INTEGER,
  "Sandelys_Is"	INTEGER,
  "OpData"	DATE,
  "OpLaikas"	CHAR(5),
  "Sandelys_Tarp"	INTEGER,
  "Pr_prieme"	INTEGER,
  "Sandelys_I"	INTEGER,
  "OpData_I"	DATE,
  "OpLaikas_I"	CHAR(5),
CONSTRAINT "pervezimai_PI" PRIMARY KEY ("ID")
);

/* Table: pervezimu_irasai, Owner: GAMA */

CREATE TABLE "pervezimu_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "MID"	INTEGER,
  "Savikaina"	DECIMAL(12, 2),
CONSTRAINT "pvirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: pervezimu_komp_irasai, Owner: GAMA */

CREATE TABLE "pervezimu_komp_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "MID"	INTEGER NOT NULL,
  "Operacija"	CHAR(1) NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Savikaina"	DECIMAL(12, 2),
  "Dalis"	DOUBLE PRECISION,
  "SerNr"	VARCHAR(20),
  "Info1"	VARCHAR(100),
  "ValKaina"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
CONSTRAINT "pvkirasai_PI" PRIMARY KEY ("ID", "MID", "Operacija", "Nr")
);

/* Table: pirkimai, Owner: GAMA */

CREATE TABLE "pirkimai" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "Nr"	VARCHAR(20),
  "Tiekejas"	INTEGER,
  "Valiuta"	CHAR(3),
  "ValData"	DATE,
  "Suma"	DECIMAL(12, 2),
  "PVMSuma"	DECIMAL(12, 2),
  "Importas"	CHAR(1),
  "ValSuma"	DECIMAL(12, 2),
  "ValPVMSuma"	DECIMAL(12, 2),
  "MokDiena"	INTEGER,
CONSTRAINT "pirkimai_PI" PRIMARY KEY ("ID")
);

/* Table: pirkimu_irasai, Owner: GAMA */

CREATE TABLE "pirkimu_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	SMALLINT NOT NULL,
  "PrekesID"	INTEGER,
  "Sandelys"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Kaina"	DECIMAL(12, 2),
  "Savikaina"	DECIMAL(12, 2),
  "MID"	INTEGER,
CONSTRAINT "pkirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: pirkimu_islaidos, Owner: GAMA */

CREATE TABLE "pirkimu_islaidos" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	SMALLINT NOT NULL,
  "Pavadinimas"	VARCHAR(20),
  "Kaina"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "PVMSuma"	DECIMAL(12, 2),
  "Tiekejas"	INTEGER,
CONSTRAINT "pkislaidos_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: pirkimu_ser_irasai, Owner: GAMA */

CREATE TABLE "pirkimu_ser_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "MID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "SerNr"	VARCHAR(20),
  "Info1"	VARCHAR(100),
CONSTRAINT "pirksirasai_PI" PRIMARY KEY ("ID", "MID", "Nr")
);

/* Table: planpard, Owner: GAMA */

CREATE TABLE "planpard" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "Nr"	VARCHAR(20),
  "Bankas"	INTEGER,
  "Klientas"	INTEGER,
  "Moketojas"	INTEGER,
  "Atsakingas"	INTEGER,
  "Valiuta"	CHAR(3),
  "Pagal"	VARCHAR(100),
  "Suma"	DECIMAL(12, 2),
  "PVMSuma"	DECIMAL(12, 2),
  "Eksportas"	CHAR(1),
  "Baigta"	CHAR(1),
  "PVMMok"	CHAR(1),
  "ASNr"	VARCHAR(50),
  "Nuolaida"	DOUBLE PRECISION,
CONSTRAINT "planpard_PI" PRIMARY KEY ("ID")
);

/* Table: planpard_irasai, Owner: GAMA */

CREATE TABLE "planpard_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Kaina"	DECIMAL(12, 2),
  "Sandelys"	INTEGER,
  "MID"	INTEGER,
  "Likutis"	DOUBLE PRECISION,
  "Baigta"	CHAR(1),
  "Nuolaida"	DOUBLE PRECISION,
CONSTRAINT "plpardirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: planpard_komp_irasai, Owner: GAMA */

CREATE TABLE "planpard_komp_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "MID"	INTEGER NOT NULL,
  "Nr"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
CONSTRAINT "plpardkirasai_PI" PRIMARY KEY ("ID", "MID", "Nr")
);

/* Table: prekes, Owner: GAMA */

CREATE TABLE "prekes" 
(
  "ID"	INTEGER NOT NULL,
  "GrupesID"	INTEGER,
  "Kodas"	VARCHAR(20),
  "BKodas"	VARCHAR(12),
  "Pavadinimas"	VARCHAR(150),
  "Matas"	VARCHAR(10),
  "PKainaG"	DECIMAL(12, 2),
  "PKainaD1"	DECIMAL(12, 2),
  "PKainaD2"	DECIMAL(12, 2),
  "PKainaD3"	DECIMAL(12, 2),
CONSTRAINT "prekes_PI" PRIMARY KEY ("ID")
);

/* Table: prekiu_grupes, Owner: GAMA */

CREATE TABLE "prekiu_grupes" 
(
  "GrupesNr"	VARCHAR(20) NOT NULL,
  "ID"	INTEGER,
  "Pavadinimas"	VARCHAR(50),
  "VyresneGrupe"	VARCHAR(20),
  "Lygis"	SMALLINT,
  "PVM"	DOUBLE PRECISION,
  "PrPsl"	CHAR(1),
CONSTRAINT "prekiu_grupes_PI" PRIMARY KEY ("GrupesNr")
);

/* Table: prekiu_kartotekos, Owner: GAMA */

CREATE TABLE "prekiu_kartotekos" 
(
  "ID"	INTEGER NOT NULL,
  "PrekesID"	INTEGER,
  "Sandelys"	INTEGER,
  "Data"	DATE,
  "DokTipas"	INTEGER,
  "DokID"	INTEGER,
  "DokPozNr"	INTEGER,
  "IT"	CHAR(1),
  "ITNr"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Kaina"	DECIMAL(12, 2),
  "Suma"	DECIMAL(12, 2),
  "Parduota"	DECIMAL(12, 2),
  "ValKaina"	DECIMAL(12, 2),
  "Valiuta"	CHAR(3),
  "SerNr"	VARCHAR(20),
CONSTRAINT "prek_kart_PI" PRIMARY KEY ("ID")
);

/* Table: priemimai, Owner: GAMA */

CREATE TABLE "priemimai" 
(
  "ID"	INTEGER NOT NULL,
  "OpData"	DATE,
  "Nr"	VARCHAR(20),
  "Valiuta"	CHAR(3),
  "Klientas"	INTEGER,
  "Atsakingas"	INTEGER,
CONSTRAINT "priemimai_PI" PRIMARY KEY ("ID")
);

/* Table: priemimu_irasai, Owner: GAMA */

CREATE TABLE "priemimu_irasai" 
(
  "ID"	INTEGER NOT NULL,
  "Nr"	SMALLINT NOT NULL,
  "DokID"	INTEGER,
  "PrekesID"	INTEGER,
  "Kiekis"	DOUBLE PRECISION,
  "Kaina"	DECIMAL(12, 2),
  "Sandelys"	INTEGER,
  "SandelysIs"	INTEGER,
  "Valiuta"	CHAR(3),
  "PVM"	DOUBLE PRECISION,
  "SerNr"	VARCHAR(20),
CONSTRAINT "prirasai_PI" PRIMARY KEY ("ID", "Nr")
);

/* Table: sandeliai, Owner: GAMA */

CREATE TABLE "sandeliai" 
(
  "ID"	INTEGER NOT NULL,
  "Pavadinimas"	VARCHAR(50),
  "Adresas"	VARCHAR(50),
  "Inventorizacija"	CHAR(1),
  "GrupesNr"	VARCHAR(20),
  "VyresneGrupe"	VARCHAR(20),
  "Lygis"	SMALLINT,
  "AtsID"	INTEGER,
CONSTRAINT "sandeliai_PI" PRIMARY KEY ("ID")
);


/* Table: sninfo, Owner: GAMA */

CREATE TABLE "sninfo" 
(
  "PrekesID"	INTEGER NOT NULL,
  "SerNr"	VARCHAR(20) NOT NULL,
  "Info1"	VARCHAR(100),
CONSTRAINT "sninfo_PI" PRIMARY KEY ("PrekesID", "SerNr")
);


/*  Index definitions for all user tables */

CREATE INDEX "atidavimai_SI_OpData" ON "atidavimai"("OpData");
CREATE INDEX "inventorizacija_SI_OpData" ON "inventorizacija"("OpData");
CREATE INDEX "pardavimai_SI_Nr" ON "pardavimai"("Nr");
CREATE INDEX "pardavimai_SI_OpData" ON "pardavimai"("OpData");
CREATE INDEX "pervezimai_SI_OpDataIs" ON "pervezimai"("OpData");
CREATE INDEX "pirkimai_SI_OpData" ON "pirkimai"("OpData");
CREATE INDEX "planpard_SI_OpData" ON "planpard"("OpData");
CREATE INDEX "prekes_SI_BKodas" ON "prekes"("BKodas");
CREATE INDEX "prekes_SI_GrupesID" ON "prekes"("GrupesID", "Kodas");
CREATE INDEX "prekes_SI_Kodas" ON "prekes"("Kodas");
CREATE INDEX "prekes_SI_Pav" ON "prekes"("Pavadinimas");
CREATE UNIQUE INDEX "prekiu_grupes_SI_ID" ON "prekiu_grupes"("ID");
CREATE INDEX "prek_kart_SI_DokID_PozNr" ON "prekiu_kartotekos"("DokID", "DokPozNr");
CREATE INDEX "prek_kart_SI_PID_S_Data" ON "prekiu_kartotekos"("PrekesID", "Sandelys", "Data", "IT", "ITNr");
CREATE INDEX "prek_kart_SI_SerNr" ON "prekiu_kartotekos"("SerNr", "PrekesID", "Sandelys", "Data", "IT", "ITNr");
CREATE INDEX "priemimai_SI_OpData" ON "priemimai"("OpData");
CREATE UNIQUE INDEX "sandeliai_SI_GrupesNr" ON "sandeliai"("GrupesNr");


/* Grant Roles for this database */


/* Grant permissions for this database */

