{
Gryn pinig neimas  bank:
  Suma         - suma
  Bankas       - Banko sskaita (271)
  Firma        - Firmos sskaitos (2/4)
  arba
  Darbuotojas  - Darbuotojo sskaita (25/48)

  dengimai:
  SNK,K_Kreditas      - kliento skolos saskaita ir suma
  SNKA,KA_Kreditas    - kliento avanso saskaita ir suma
  SNT,T_Kreditas      - skolos tiekejui saskaita ir suma
  SNTA,TA_Kreditas    - avanso tiekejui saskaita ir suma

  -----------------------------|-----------------------------|----------------------------
  Debetas                      | Kreditas                    | suma
  -----------------------------|-----------------------------|----------------------------
  Bankas                       | Firma                       | Suma
                               | arba Darbuotojas
  -----------------------------|-----------------------------|----------------------------
  Bankas                       | K_Kreditas                  | SNK
  Bankas                       | KA_Kreditas                 | SNKA
  Bankas                       | T_Kreditas                  | SNT
  Bankas                       | TA_Kreditas                 | SNTA
}
{
Rezultatas:
   [x]     - grup
   [x+1]   - debetas
   [x+2]   - kreditas
   [x+3]   - suma
}

function Operacija(
  Data: TDateTime;
  Kintamieji: Variant; // kintamieji: VarArray [0..N] of String
  Value: Variant       // reikms: VarArray [0..N] of variant
  ): Variant;

var
  rez: Variant;
  Suma: currency;
  Bankas: string;
  Firma: string;
  Darbuotojas: string;
  iIndex: integer;
  SNK, SNKA, SNT, SNTA: string;
  K_Kreditas,KA_Kreditas,T_Kreditas,TA_Kreditas: currency;

  function Rasti(Kas: String): Variant;
  var
    i: integer;
  begin
    Result := Unassigned;
    for i:=VarArrayLowBound(Kintamieji,1) to VarArrayHighBound(Kintamieji,1) do begin
      if Uppercase(Kas) = Uppercase(Kintamieji[i]) then begin
        Result := Value[i];
        Break;
      end;
    end;
  end;

begin
  Suma := Rasti('Suma');
  Bankas := Rasti('Bankas');
  Firma := Rasti('Firma');
  Darbuotojas := Rasti('Darbuotojas');
  SNK := Rasti('SNK');
  SNKA := Rasti('SNKA');
  SNT := Rasti('SNT');
  SNTA := Rasti('SNTA');
  K_Kreditas := Rasti('K_Kreditas');
  KA_Kreditas := Rasti('KA_Kreditas');
  T_Kreditas := Rasti('T_Kreditas');
  TA_Kreditas := Rasti('TA_Kreditas');

  if (Darbuotojas = '') and (Firma = '') then begin
    rez := VarArrayCreate([0,0], varVariant);
    Result := rez;
    Exit;
  end;

  iIndex := 0;
  if K_Kreditas > 0 then Inc(iIndex);
  if KA_Kreditas > 0 then Inc(iIndex);
  if T_Kreditas > 0 then Inc(iIndex);
  if TA_Kreditas > 0 then Inc(iIndex);
  if iIndex = 0 then begin
    rez := VarArrayCreate([0,3], varVariant);
    rez[0] := 1;
    rez[1] := Bankas;    // debetas
    if Darbuotojas <> '' then rez[2] := Darbuotojas  // kreditas
    else if Firma <> ''  then rez[2] := Firma;       // kreditas
    rez[3] := Suma;
  end else begin
    rez := VarArrayCreate([0,iIndex*4-1], varVariant);
    iIndex := 0;
    if K_Kreditas > 0 then begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Bankas;   // debetas
      rez[iIndex+2] := SNK;      // kreditas
      rez[iIndex+3] := K_Kreditas;
      iIndex := iIndex + 4;
    end;
    if KA_Kreditas > 0 then begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Bankas;   // debetas
      rez[iIndex+2] := SNKA;      // kreditas
      rez[iIndex+3] := KA_Kreditas;
      iIndex := iIndex + 4;
    end;
    if T_Kreditas > 0 then begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Bankas;   // debetas
      rez[iIndex+2] := SNT;      // kreditas
      rez[iIndex+3] := T_Kreditas;
      iIndex := iIndex + 4;
    end;
    if TA_Kreditas > 0 then begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Bankas;   // debetas
      rez[iIndex+2] := SNTA;      // kreditas
      rez[iIndex+3] := TA_Kreditas;
      iIndex := iIndex + 4;
    end;
  end;
  Result := rez;
end;

begin
end.

