{
Pirkimas:
  Tiekejas          - Tiekejo sskaitos (22/44)
  Moketinas_PVM     - Moketino PVM sskaita (4701)
  Gautinas_PVM      - Gautino PVM sskaita (251)

  Suma_be_PVM       - suma be PVM
  PVM_suma          - PVM suma
  Suma              - viso suma su PVM

  Sanaudos[1],
  Savikaina[1],
  Atsargos[1]       - Snaud/savikainos/atsarg sskaitos (6)
  Sanaudu_suma[1],
  Savikainos_suma[1],
  Atsargu_suma[1]   - Snaud/savikainos/atsarg suma

  Islaidos[2]       - papildom ilaid tiekjo sskaitos (22/45)
  Islaidu_prekese_suma[1][2] - ilaid suma pagal prekes/paslaugas
  Islaidu_PVM_suma[2] - Ilaid PVM suma

  -----------------------------|-----------------------------|----------------------------
  Debetas                      | Kreditas                    | suma
  -----------------------------|-----------------------------|----------------------------
  (251) Gautinas_PVM           | (45)/(22) Tiekejas          | PVM_suma
  (2)/(6) Atsargos [1]         | (45)/(22) Tiekejas          | Atsargu_suma [1]
  -----------------------------|-----------------------------|----------------------------
  (251) Gautinas_PVM           | (45)/(22) Islaidos [2]      | Islaidu_PVM_suma [2]
  (2)/(6) Atsargos [1]         | (45)/(22) Islaidos [2]      | Islaidu_prekese_suma [1][2]

  viso rau: 1 + [1] + [2] + [1]*[2]
}
{
Rezultatas:
   [x]     - grup
   [x+1]   - debetas
   [x+2]   - kreditas
   [x+3]   - suma
}

function Operacija(
  Data: TDateTime;
  Kintamieji: Variant; // kintamieji: VarArray [0..N] of String
  Value: Variant       // reikms: VarArray [0..N] of variant
  ): Variant;

var
  rez: Variant;

  Suma_be_PVM: currency;
  PVM_suma: currency;
  Suma: currency;

  Tiekejas: string;
  Moketinas_PVM: string;
  Gautinas_PVM: string;

  Savikainos_suma: Variant;
  Sanaudu_suma: Variant;
  Atsargu_suma: Variant;

  Sanaudos: Variant;
  Savikaina: Variant;
  Atsargos: Variant;

  Islaidos: Variant;
  Islaidu_prekese_suma: Variant;
  Islaidu_PVM_suma: Variant;

  iIndex: integer;
  i1: integer;
  i2: integer;
  i,j: integer;

  function Rasti(Kas: String): Variant;
  var
    i: integer;
  begin
    Result := Unassigned;
    for i := VarArrayLowBound(Kintamieji,1) to VarArrayHighBound(Kintamieji,1) do begin
      if Uppercase(Kas) = Uppercase(Kintamieji[i]) then begin
        Result := Value[i];
        Exit;
      end;
    end;
    ShowMessage(Kas + ' = Unassigned');
  end;

  procedure VarToVarArray(var v:variant);
  var
    vTmp: variant;
  begin
    if (VarType(v) and varArray) = 0 then begin
      vTmp := v;
      v := VarArrayCreate([0,0], varVariant);
      v[0] := vTmp;
    end;
  end;

  procedure VarToVarArrayArray(var v:variant);
  var
    vTmp: variant;
  begin
    if (VarType(v) and varArray) = 0 then begin
      vTmp := v;
      v := VarArrayCreate([0,0,0,0], varVariant);
      v[0,0] := vTmp;
    end;
  end;

begin
  Suma_be_PVM := Rasti('Suma_be_PVM');
  PVM_suma := Rasti('PVM_suma');
  Suma := Rasti('Suma');

  Savikainos_suma := Rasti('Savikainos_suma');
  Sanaudu_suma := Rasti('Sanaudu_suma');
  Atsargu_suma := Rasti('Atsargu_suma');

  VarToVarArray(Savikainos_suma);
  VarToVarArray(Sanaudu_suma);
  VarToVarArray(Atsargu_suma);

  Sanaudos := Rasti('Sanaudos');
  Savikaina := Rasti('Savikaina');
  Atsargos := Rasti('Atsargos');

  VarToVarArray(Sanaudos);
  VarToVarArray(Savikaina);
  VarToVarArray(Atsargos);

  Tiekejas := Rasti('Tiekejas');
  Gautinas_PVM := Rasti('Gautinas_PVM');
  Moketinas_PVM := Rasti('Moketinas_PVM');

  Islaidos := Rasti('Islaidos');
  Islaidu_prekese_suma := Rasti('Islaidu_prekese_suma');
  Islaidu_PVM_suma := Rasti('Islaidu_PVM_suma');

  VarToVarArray(Islaidos);
  VarToVarArrayArray(Islaidu_prekese_suma);
  VarToVarArray(Islaidu_PVM_suma);

  i1 := VarArrayHighBound(Sanaudos,1)-VarArrayLowBound(Sanaudos,1)+1;
  i2 := VarArrayHighBound(Islaidos,1)-VarArrayLowBound(Islaidos,1)+1;

  rez := VarArrayCreate([0,(1+i1+i2+i1*i2)*4-1], varVariant);

  iIndex := 0;
  // Debetas                      | Kreditas                    | suma
  // -----------------------------|-----------------------------|----------------------------
  // (251) Gautinas_PVM           | (45)/(22) Tiekejas          | PVM_suma
  if PVM_suma > 0 then begin
    rez[iIndex+0] := 1;
    rez[iIndex+1] := Gautinas_PVM;   // debetas
    rez[iIndex+2] := Tiekejas;       // kreditas
    rez[iIndex+3] := PVM_suma;
    iIndex := iIndex + 4;
  end
  else if PVM_suma < 0 then begin
    rez[iIndex+0] := 1;
    rez[iIndex+1] := Tiekejas;       // dbetas
    rez[iIndex+2] := Gautinas_PVM;   // kreditas
    rez[iIndex+3] := -PVM_suma;
    iIndex := iIndex + 4;
  end;

  // (2)/(6) Atsargos [1]         | (45)/(22) Tiekejas          | Atsargu_suma [1]
  for i := 0 to i1-1 do begin
    if Atsargu_suma[i] > 0 then begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Atsargos[i]; // debetas
      rez[iIndex+2] := Tiekejas;    // kreditas
      rez[iIndex+3] := Atsargu_suma[i];
    end else
    if Atsargu_suma[i] < 0 then begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Tiekejas;    // debetas
      rez[iIndex+2] := Atsargos[i]; // kreditas
      rez[iIndex+3] := -Atsargu_suma[i];
    end;
    iIndex := iIndex + 4;
  end;

  // papildomos islaidos
  // (251) Gautinas_PVM           | (45)/(22) Islaidos [2]      | Islaidu_PVM_suma [2]
  for i := 0 to i2-1 do begin
    rez[iIndex+0] := 1;
    rez[iIndex+1] := Gautinas_PVM; // debetas
    rez[iIndex+2] := Islaidos[i];  // kreditas
    rez[iIndex+3] := Islaidu_PVM_suma[i];
    iIndex := iIndex + 4;
  end;
  // (2)/(6) Atsargos [1]         | (45)/(22) Islaidos [2]      | Islaidu_prekese_suma [1][2]
  for i := 0 to i1-1 do
    for j := 0 to i2-1 do begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Atsargos[i]; // debetas
      rez[iIndex+2] := Islaidos[j]; // kreditas
      rez[iIndex+3] := Islaidu_prekese_suma[i,j];
      iIndex := iIndex + 4;
    end;

  Result := rez;
end;

begin
end.


