{
Prekiu inventorizacija:

  [1]
  Atsargos,Perteklius                   - Atsarg pertekliaus sskaitos (2)
  Atsargu_suma,Pertekliaus_suma         - Atsarg pertekliaus suma
  Pajamos                               - Pajamos (5)
  Pajamu_suma                           - Pajam suma

  [2]
  Trukumai                              - Atsarg trkumo sskaitos (2)
  Trukumu_suma                          - Atsarg trkumo suma
  Nuostoliai,Islaidos                   - Nuostoliai arba ilaidos (6)
  Nuostoliu_suma,Islaidu_suma           - Nuostoli arba ilaid suma

  Jei yra perteklius:
  -----------------------------|-----------------------------|----------------------------
  Debetas                      | Kreditas                    | suma
  -----------------------------|-----------------------------|----------------------------
  (2) Perteklius               | (5) Pajamos                 | Pajamu_suma

  Jei yra trukumas:
  -----------------------------|-----------------------------|----------------------------
  Debetas                      | Kreditas                    | suma
  -----------------------------|-----------------------------|----------------------------
  (6) Nuostoliai               | (2) Trukumai                | Trukumu_suma

  viso rau: [1] + [2]
}
{
Rezultatas:
   [x]     - grup
   [x+1]   - debetas
   [x+2]   - kreditas
   [x+3]   - suma
}

function Operacija(
  Data: TDateTime;
  Kintamieji: Variant; // kintamieji: VarArray [0..N] of String
  Value: Variant       // reikms: VarArray [0..N] of variant
  ): Variant;

var
  rez: Variant;

  Pertekliaus_suma: Variant;
  Pajamu_suma: Variant;
  Trukumu_suma: Variant;
  Nuostoliu_suma: Variant;

  Perteklius: Variant;
  Pajamos: Variant;
  Trukumai: Variant;
  Nuostoliai: Variant;

  iIndex: integer;
  i1: integer;
  i2: integer;
  i,j: integer;

  function Rasti(Kas: String): Variant;
  var
    i: integer;
  begin
    Result := Unassigned;
    for i := VarArrayLowBound(Kintamieji,1) to VarArrayHighBound(Kintamieji,1) do begin
      if Uppercase(Kas) = Uppercase(Kintamieji[i]) then begin
        Result := Value[i];
        Exit;
      end;
    end;
    ShowMessage(Kas + ' = Unassigned');
  end;

  procedure VarToVarArray(var v:variant);
  var
    vTmp: variant;
  begin
    if (VarType(v) and varArray) = 0 then begin
      vTmp := v;
      v := VarArrayCreate([0,0], varVariant);
      v[0] := vTmp;
    end;
  end;

  procedure VarToVarArrayArray(var v:variant);
  var
    vTmp: variant;
  begin
    if (VarType(v) and varArray) = 0 then begin
      vTmp := v;
      v := VarArrayCreate([0,0,0,0], varVariant);
      v[0,0] := vTmp;
    end;
  end;

begin
  Pertekliaus_suma := Rasti('Pertekliaus_suma');
  Pajamu_suma := Rasti('Pajamu_suma');
  Trukumu_suma := Rasti('Trukumu_suma');
  Nuostoliu_suma := Rasti('Nuostoliu_suma');

  VarToVarArray(Pertekliaus_suma);
  VarToVarArray(Pajamu_suma);
  VarToVarArray(Trukumu_suma);
  VarToVarArray(Nuostoliu_suma);

  Perteklius := Rasti('Perteklius');
  Pajamos := Rasti('Pajamos');
  Trukumai := Rasti('Trukumai');
  Nuostoliai := Rasti('Nuostoliai');

  VarToVarArray(Perteklius);
  VarToVarArray(Pajamos);
  VarToVarArray(Trukumai);
  VarToVarArray(Nuostoliai);

  i1 := VarArrayHighBound(Perteklius,1)-VarArrayLowBound(Perteklius,1)+1;
  i2 := VarArrayHighBound(Trukumai,1)-VarArrayLowBound(Trukumai,1)+1;

  rez := VarArrayCreate([0,(i1+i2)*4-1], varVariant);

  iIndex := 0;

  // (2) Perteklius               | (5) Pajamos                 | Pajamu_suma
  if not((i1 = 1) and (Perteklius[0] = '')) then begin
    for i := 0 to i1-1 do begin
      rez[iIndex+0] := 1;
      rez[iIndex+1] := Perteklius[i];    // debetas
      rez[iIndex+2] := Pajamos[i];       // kreditas
      rez[iIndex+3] := Pajamu_suma[i];
      iIndex := iIndex + 4;
    end
  end;

  // (6) Nuostoliai               | (2) Trukumai                | Trukumu_suma
  if not((i2 = 1) and (Nuostoliai[0] = '')) then begin
    for i := 0 to i2-1 do begin
      rez[iIndex+0] := 2;
      rez[iIndex+1] := Nuostoliai[i];    // debetas
      rez[iIndex+2] := Trukumai[i];      // kreditas
      rez[iIndex+3] := Trukumu_suma[i];
      iIndex := iIndex + 4;
    end
  end;

  Result := rez;
end;

begin
end.

